Bug 275591 - __spec_install_post seems to be unneeded
Summary: __spec_install_post seems to be unneeded
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo   
(Show other bugs)
Version: rawhide
Hardware: All All
medium
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-03 20:57 UTC by Robert Scheck
Modified: 2008-01-22 11:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 11:28:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2007-09-03 20:57:09 UTC
Description of problem:
When looking to the spec file of texinfo, the macro use of __spec_install_post 
seems unneeded to me. Is there any reason why this macro use is kept?!

Version-Release number of selected component (if applicable):
texinfo-4.9-2

Expected results:
Remove __spec_install_post, as it is no longer relevant.

Comment 1 Vitezslav Crhonek 2007-10-09 10:39:13 UTC
Hi,

this macro is used always by default at the end of %install phase. But here is
the difference between builds with/out redefinition of __spec_install_post macro:

< + /usr/lib/rpm/brp-strip
< + /usr/lib/rpm/brp-strip-comment-note
< + rm -f
---
> + /usr/lib/rpm/redhat/brp-compress
> + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
> + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
> + /usr/lib/rpm/brp-python-bytecompile
> + /usr/lib/rpm/redhat/brp-java-repack-jars

I've asked previous maintaner of texinfo, but he doesn't know why this macro is
redefined and I don't know what's exact purpose of it. If you know more, can you
please explain it to me?



Note You need to log in before you can comment on or make changes to this bug.